<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitepieSettingSettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litepie_setting_settings
         */
        Schema::create('litepie_setting_settings', function ($table) {
            $table->increments('id');
            $table->string('key', 255)->nullable();
            $table->string('package', 255)->nullable();
            $table->string('module', 255)->nullable();
            $table->string('name', 100)->nullable();
            $table->string('value', 255)->nullable();
            $table->string('file', 500)->nullable();
            $table->string('control', 255)->nullable();
            $table->enum('type', [])->nullable();
            $table->string('slug', 200)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litepie_setting_settings');
    }
}
