<?php

namespace Litepie\Setting\Seeders;

use DB;
use Illuminate\Database\Seeder;

class SettingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litepie_setting_settings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litepie.setting.setting.view',
                'name'      => 'View Setting',
            ],
            [
                'slug'      => 'litepie.setting.setting.create',
                'name'      => 'Create Setting',
            ],
            [
                'slug'      => 'litepie.setting.setting.edit',
                'name'      => 'Update Setting',
            ],
            [
                'slug'      => 'litepie.setting.setting.delete',
                'name'      => 'Delete Setting',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/setting/setting',
                'name'        => 'Setting',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/setting/setting',
                'name'        => 'Setting',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'setting',
                'name'        => 'Setting',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Setting',
                'module'    => 'Setting',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litepie.setting.setting.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
